/*#slider{
  	user-select: none;
  	position: fixed;
    top: 0;
    right: 0;
    width: calc(100vw - var(--size-lr));
    height: calc(100dvh - var(--size-mb));
}*/

/* TODO: Move to the dedicated file */
.home-page #content {
    margin: 0;
    padding: 0;
}

.home-page main,
.home-page div.com-content-article,
.home-page div.com-content-article__body,
.home-page div.scroll-container,
.home-page div.scroll-container > div,
.home-page div#slider,
.home-page div.slides {
    height: 100%;
}


#slider {
    user-select: none;
    /*position: fixed;
    top: 0;
    right: var(--size-lr);*/
    /*width: calc(100vw - calc(2*var(--size-lr)));*/
    /*height: calc(100dvh - var(--size-mb));*/
  
    overflow: clip;
}
#slider .slides {
    display: flex;
  	align-items: center;
    /*gap: 50vw;
  	position: absolute;
    left: 0;
    top: 30dvh;
    height: 60dvh;*/
}
/*.slide {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}*/

/*.slide {
  	flex-basis: 50vw;
}*/


/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*| text |*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/
.slide a:hover{
  	color: var(--color);
}
.slide__text{
  	transform-origin: left;
}
.slide .slide__text *{
  	font-family: Gilroy;
    font-style: normal;
    font-weight: 800;
  	letter-spacing: 0.05em;
  	text-transform: uppercase;
}
.slide__text .size-1{
  	font-size: min(14dvh, 6vw);
  	line-height: 100%;
}
.slide__text .size-2{
  	font-size: min(11dvh, 5vw);
  	line-height: 100%;
}
.slide__text .size-3{
  	font-size: min(5dvh, 3vw);
  	line-height: 100%;
}

/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#slider .slides-image{
    position: absolute;
	top: 0;
	right: 0;
	height: 100%;
	width: 100%;
}


.slide-image{
	position: absolute;
    top: 0;
    right: 10vw;
    width: max(25%, 250px);
    height: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    clip: rect(0, auto, 0, 0);
}

.slide-image.active-slide{
  	clip: rect(0, auto, 100dvh, 0);
}
.slide-image.prev-slide{
  	clip: rect(100dvh, auto, 100dvh, 0);
}

/*@media screen and (max-width: 1799px){
	.slide-image{
	    width: 288px;
	}
}
@media screen and (max-width: 1199px){
	.slide-image{
		width: 237px;
	}
}*/
/*@media screen and (max-width: 999px){
    .slide__text{
  		transform-origin: left bottom;
	}
    .slide{*/
        /*padding: calc(var(--size-mt) + 80px) 0 calc(var(--size-lr) + 380px);
        justify-content: flex-end;*/
/*   }
	.slide-image {
        bottom: 0;
        top: auto;
        right: 0;
        width: 50%;
        height: 380px;
        clip: rect(0, 100vw, auto, 100vw);
    }
    .slide-image.active-slide{
  		clip: rect(0, 100vw, auto, 0);
	}
	.slide-image.prev-slide{
  	    clip: rect(0, 0, auto, 0);
	}
}
@media screen and (max-width: 999px) and (orientation: portrait) {
    .slide {
        justify-content: flex-end;
        padding-bottom: 5dvh;
    }
}
@media screen and (max-width: 799px) and (orientation: portrait) {
    .slide{
        justify-content: flex-start;
        padding-top: 10dvh;
        padding: calc(var(--size-mt) + 130px) 0 calc(var(--size-lr) + 186px);
    }
	.slide-image{
        height: 30dvh;
        width: 100%;
        bottom: 5dvh;
	}
}
*/

@media screen and (orientation: portrait) {
    .slide-image {
        width: 100%;
        height: 40%;
        bottom: 20%;
        top: unset;
        right: unset;
    }
  	
  	#slider .slides {
    	height: 20dvh;
      	gap: 0;
      	top: 20dvh;
    }
  
    .slide {
        width: 100vw;
  	}
  
    /*.slide__text {
  		width: 70vw;
  		text-align: center;
  		margin-left: calc(15vw - var(--size-lr));
  	}*/
  
    .slide__text .size-1{
  	    font-size: min(10vw, 6dvh);
    }
    
    .slide__text .size-2{
  	    font-size: min(7vw, 4.5dvh);
    }
  
    .slide__text .size-3{
  	    font-size: min(5vw, 3dvh);
  	}
}

#slider .buttons{
  	position: relative;
   	left: 90vw;
   	bottom: 40px;
   	display: flex;
   	width: 10vw;
   	height: 40px;
   	align-items: center;
   	justify-content: center;
   	gap: 10px;
   	z-index: 9;
}

#slider .buttons .prev{
    transform: scale(-1);
}

#slider .buttons .next, #slider .buttons .next img, #slider .buttons .prev img, #slider .buttons .prev{
	height: 100%;
    width: auto;
    cursor: pointer;
    transition: 200ms;
}

#slider .buttons .prev img:hover, #slider .buttons .next img:hover{
	transform: scale(1.2);
}

#slider .progress{
	position: fixed;
    top: 0;
    left: 0;
    width: 10vw;
    height: 100dvh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 145px 0 calc(var(--size-mb) + 200px);
}

#slider .progress .container{
	width: 1px;
    height: 100%;
    max-height: 250px;
    background-color: var(--color-2);
    display: flex;
    align-items: flex-end;
}

#slider .progress .container div{
	width: 100%;
    height: 50%;
    background-color: var(--color);
}

@media screen and ((orientation: portrait) or (max-height: 480px)) {
  	#slider .progress, #slider .buttons{
    	display: none;
  	}
}
/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*| scroll |*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/
/*@media screen and (max-width: 499px){
  	body.home-page{
  		min-height: 100dvh;
	}
	body.home-page #slider{
  		height: calc(100dvh - var(--size-mb));
	}
}*/


/*#slider{
  	z-index: 99;
}*/

.slides__container{
    height: 100%;
    position: relative;
	transition: transform 650ms cubic-bezier(0.46, 0.03, 0.52, 0.96);
    z-index: 2;
    padding-left: 10vw;
}

.scroll .ch-big-cent-image{
    display:flex;
	justify-content:center;
}
.scroll-container-show .slides__container{
    transform: translateY(-102%);
}

.slides-image{
    transition: transform 650ms cubic-bezier(0.46, 0.03, 0.52, 0.96);
}
		
.scroll-container-show .slides-image{
    transform: translateY(-102%);
}

.progress, .buttons{
    opacity: 1;	
    transition: opacity 650ms cubic-bezier(0.45, 0.05, 0.55, 0.95);
}

.scroll-container-show .progress, .scroll-container-show .buttons{		
	opacity: 0;	
}

.scroll-container-show{
  	overflow: hidden;
}
/*.scroll-container{
  	position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100dvh;
}*/

.scroll {
    width: calc(100vw - var(--size-lr) - var(--size-lr));
    height: calc(100dvh - var(--size-mt) - var(--size-mb) - 110px);
    position: fixed;
    margin: 0 var(--size-lr) var(--size-mb);
    /* 30.09.2024
    margin: calc(var(--size-mt) + 110px) var(--size-lr) var(--size-mb);
    */
    transition: transform 650ms cubic-bezier(0.45, 0.05, 0.55, 0.95), opacity 1s;
    opacity: 0;
    transform: translateY(100%);
    z-index: 99;
  
    /*display: none;*/
    
}

.scroll > div{
    height: auto;
    transform-origin: top;
}

.scroll-container-show .scroll {
    opacity: 1;
    transform: translateY(-100%);
    /*30.09.2024*/
    position: static;
}

h3.more-news {
    text-align: center;
    margin-top: 30px;
}

h3.more-news a{
  	border: none;
}

